<?php
namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class IntervaloService {

    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function insertIntervalo(
        int    $nrOrg,
        int    $nrVinculo,
        string $date,
        string $time,
        bool   $before,
        array  $ocorrenciaRow
    ): array {
        $hcmServicesRoute = 'insertIntervalo';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'NRVINCULOM'     => $nrVinculo,
                'DATE'           => $date,
                'HORARIO_INICIO' => $time,
                'BEFORE'         => $before,
                'ocorrencia'     => $ocorrenciaRow,
            ]
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $status = (array) $response['dataset'][$hcmServicesRoute];

        return $status;
    }

    public function deleteIntervalo(
        int    $nrOrg,
        int    $nrVinculo,
        string $date,
        string $hrInicio,
        string $hrFim,
        bool   $before
    ): array {
        $hcmServicesRoute = 'deleteIntervalo';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'NRVINCULOM'    => $nrVinculo,
                'DATE'          => $date,
                'DTHRINICIO'    => $hrInicio,
                'DTHRFIM'       => $hrFim,
                'before'        => $before,
            ],
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $status = (array) $response['dataset'][$hcmServicesRoute];

        return $status;
    }
}
